org.apache.calcite.avatica

## Class MetaImpl.MetaFunctionColumn

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaFunctionColumn

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaFunctionColumn
    extends Object

Metadata describing a function column.

### Field Summary

Fields
`Integer` `charOctetLength`
`String` `columnName`
`short` `columnType`
`int` `dataType`
`String` `functionCat`
`String` `functionName`
`String` `functionSchem`
`String` `isNullable`
`Integer` `length`
`short` `nullable`
`int` `ordinalPosition`
`Integer` `precision`
`Short` `radix`
`String` `remarks`
`Short` `scale`
`String` `specificName`
`String` `typeName`

### Constructor Summary

Constructors
Constructor and Description
`MetaImpl.MetaFunctionColumn(String functionCat, String functionSchem, String functionName, String columnName, short columnType, int dataType, String typeName, Integer precision, Integer length, Short scale, Short radix, short nullable, Integer charOctetLength, int ordinalPosition, String isNullable, String specificName)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### functionCat

    public final String functionCat

#### functionSchem

    public final String functionSchem

#### functionName

    public final String functionName

#### columnName

    public final String columnName

#### columnType

    public final short columnType

#### dataType

    public final int dataType

#### typeName

    public final String typeName

#### precision

    public final Integer precision

#### length

    public final Integer length

#### scale

    public final Short scale

#### radix

    public final Short radix

#### nullable

    public final short nullable

#### remarks

    public final String remarks

#### charOctetLength

    public final Integer charOctetLength

#### ordinalPosition

    public final int ordinalPosition

#### isNullable

    public final String isNullable

#### specificName

    public final String specificName

### Constructor Detail

#### MetaImpl.MetaFunctionColumn

    public MetaImpl.MetaFunctionColumn(String functionCat,
                               String functionSchem,
                               String functionName,
                               String columnName,
                               short columnType,
                               int dataType,
                               String typeName,
                               Integer precision,
                               Integer length,
                               Short scale,
                               Short radix,
                               short nullable,
                               Integer charOctetLength,
                               int ordinalPosition,
                               String isNullable,
                               String specificName)